Skip to main content
GET
Get component version approval

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

The component ID.

versionId
string
required

The scan ID of the component version.

Response

Approval details for the requested version

componentId
string
required
versionId
string
required
approvalStatus
enum<string>
required
Available options:
UNAPPROVED,
APPROVED,
APPROVED_WITH_EDITS_SINCE_APPROVAL
isStale
boolean
required
approvedBy
object
approvedAt
string<date-time>
approvalNote
string
approvalViewTime
string
approvedLineageLastUpdatedAt
string<date-time>
currentLineageLastUpdatedAt
string<date-time>